### Hierarchy

- unknown
  - SequenceNumberEntry

## Index

### Constructors

- constructor

### Methods

- clearBytes
- clearMapValue
- getBytes
- getMapValue
- hasBytes
- hasMapValue
- serializeBinary
- setBytes
- setMapValue
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SequenceNumberEntry(): SequenceNumberEntry

- Inherited from jspb.Message.constructor

  #### Returns SequenceNumberEntry

## Methods

### clearBytes

- clearBytes(): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6072

  #### Returns SequenceNumberEntry

### clearMapValue

- clearMapValue(): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6077

  #### Returns SequenceNumberEntry

### getBytes

- getBytes(): undefined | ByteArray

- - Defined in src/protobuf/pb_pb.d.ts:6069

  #### Returns undefined | ByteArray

### getMapValue

- getMapValue(): undefined | MapValue

- - Defined in src/protobuf/pb_pb.d.ts:6074

  #### Returns undefined | MapValue

### hasBytes

- hasBytes(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6071

  #### Returns boolean

### hasMapValue

- hasMapValue(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6076

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6079

  #### Returns Uint8Array

### setBytes

- setBytes(value?: ByteArray ): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6070

  #### Parameters

  - ##### Optional value: ByteArray

  #### Returns SequenceNumberEntry

### setMapValue

- setMapValue(value?: MapValue ): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6075

  #### Parameters

  - ##### Optional value: MapValue

  #### Returns SequenceNumberEntry

### toObject

- toObject(includeInstance?: boolean): SequenceNumberEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6080

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SequenceNumberEntry . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6083

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SequenceNumberEntry

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SequenceNumberEntry, reader: BinaryReader): SequenceNumberEntry

- - Defined in src/protobuf/pb_pb.d.ts:6084

  #### Parameters

  - ##### message: SequenceNumberEntry

  - ##### reader: BinaryReader

  #### Returns SequenceNumberEntry

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SequenceNumberEntry, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6082

  #### Parameters

  - ##### message: SequenceNumberEntry

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SequenceNumberEntry ): SequenceNumberEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6081

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SequenceNumberEntry

  #### Returns SequenceNumberEntry . AsObject

Generated using TypeDoc